from datetime import datetime, timedelta
import time
import sys

from atproto import Client

from ai.talk import Talk
import account


def main () -> None:
    api = Client ()

    api.login (account.USER_ID, account.PASSWORD)

    last_posted_at = datetime.now () - timedelta (hours = 6)
    while True:
        if datetime.now () - last_posted_at >= timedelta (hours = 6):
            api.send_post (Talk.main (''))
            last_posted_at = datetime.now ()


if __name__ == '__main__':
    main (*sys.argv[1:])
